Name:           jbrout
Version:        0.3.282
Release:        0.3.20100124svn282%{?dist}
Summary:        Photo manager, written in python/pygtk
Group:          Applications/Multimedia
License:        GPLv2
URL:            http://jbrout.python-hosting.com/wiki

## in order to rebuild  Source0 I advice you to type something like
## cat ../SPECS/jbrout.spec | grep ^# | grep -v "##" | sed s,^#,,g | bash

# svn export -r 282 http://jbrout.googlecode.com/svn/trunk/jbrout jbrout-0.3.282
# svn export -r 282 http://jbrout.googlecode.com/svn/trunk/readme.txt jbrout-0.3.282/readme.txt

## remove duplicated system libraries
# rm -rf jbrout-0.3.282/plugins/multiexport/libs/picasaweb/atom/
# rm -rf jbrout-0.3.282/plugins/multiexport/libs/picasaweb/gdata/
# rm -f jbrout-0.3.282/data/tools/*.exe

## fix CRLF
# dos2unix jbrout-0.3.282/plugins/__init__.py
# dos2unix jbrout-0.3.282/plugins/multiexport/libs/__init__.py
# dos2unix jbrout-0.3.282/libs/dict4ini.py

## remove unneeded shebang
# sed -i -e '1d' jbrout-0.3.282/plugins/multiexport/libs/picasaweb/__init__.py
# sed -i -e '2d' jbrout-0.3.282/jbrout/folderselect.py
# sed -i -e '1d' jbrout-0.3.282/jbrout/tools.py

## drop executable bit
# find jbrout-0.3.282 -type f -executable -exec chmod -x {} \;

## compress the rest of the code
# tar cfJ jbrout-0.3.282.tar.xz jbrout-0.3.282

Source0:        %{name}-%{version}.tar.xz
Source1:        jbrout-Makefile
Source2:        jbrout.desktop
Source3:        jbrout-usr_bin
Source4:        jbrout-install.sh
BuildArch:      noarch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:       python >= 2.4, python-lxml, pygtk2 >= 2.6
Requires:       python-imaging, pyexiv2 >= 0.1.2, fbida
Requires:	python-gdata
# required due to exiftool
Requires:	perl-Image-ExifTool
BuildRequires:  gettext, desktop-file-utils,

%description
jBrout is able to :
   * manage albums/photos (= folders/files)
   * tag photos with IPTC keywords
   * use internal jpeg thumbnail
   * comment photos (with jpeg comment) and album (textfile in
     folder)
   * rotate loss-less jpeg (and internal jpeg thumbnail)
     use EXIF info (date, size ..)
   * search pictures (tags, comment, date, ...) (not implemented
     yet)
   * use plugins (to export to html/gallery, to act like
     a httpserver, to export pictures to be mailed, ...)
   * work without database ! (just a xmlfile which can be rebuild
     from scratch)
   * handle a lot of photos (jbrout's author claims to have more than 20000
     of them)
   * upload photos to a flickr account
   * ...

%prep
%setup -q
install -p %{SOURCE1} Makefile
install -p -m a+rx,u+w %{SOURCE4} install-script

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

install -D -m a+rx,u+w %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -D -p -m a+rx,u+w %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install \
     --dir $RPM_BUILD_ROOT%{_datadir}/applications \
     --add-category=X-Fedora \
     --delete-original \
     $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/jbrout
%doc readme.txt data/gpl.txt
%{_datadir}/jbrout/
%exclude %{_datadir}/jbrout/plugins/*/po/*/LC_MESSAGES/plugin.mo
%lang(fr) %{_datadir}/jbrout/plugins/*/po/fr/LC_MESSAGES/plugin.mo
%lang(it) %{_datadir}/jbrout/plugins/*/po/it/LC_MESSAGES/plugin.mo
%{_datadir}/applications/jbrout.desktop

%changelog
* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.282-0.3.20100124svn282
- recompiling .py files against Python 2.7 (rhbz#623324)

* Sun Jan 24 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.282-0.2.20100124svn282
- Added BR for exiftool (thanks, Rahul Sundaram <sundaram@fedoraproject.org>)

* Sun Jan 24 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.282-0.1.20100124svn282
- Updated to svn ver. 282
- Fixed #558151
- Added BR python-gdata

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.174-4.0.20090714svn223.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Matěj Cepl <mcepl@redhat.com> 0.3.174-3.0.20090714svn223.1
- Attempt to build a new upstream SVN checkout. Fixes bug 510642
- Remove unneeded files (*.exe, *.c)

* Mon Jul 13 2009 Matěj Cepl <mcepl@redhat.com> - 0.3.174-2
- Use hashlib if possible.

* Sat Mar 21 2009 Matej Cepl <mcepl@redhat.com> 0.3.174-1
- New upstream release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.159-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Matěj Cepl <mcepl@redhat.com> - 0.3.159-2
- add fbida as Requires

* Thu Jan 15 2009 Matěj Cepl <mcepl@redhat.com> 0.3.159-1
- New upstream release and this should go to Fedora.

* Sun Jan 11 2009 Matěj Cepl <mcepl@redhat.com> 0.3.151-0.5
- Fixed building and installing lang files.

* Thu Jan 01 2009 Matěj Cepl <mcepl@redhat.com> 0.3.131-0.1.f10only
- Testing build of the new upstream release (because of broken upgrade
  build).

* Thu Jun 26 2008 Matěj Cepl <mcepl@redhat.com> 0.2.201-2
- Fixing packaging bugs mentioned in the package review.

* Fri Jun 20 2008 Matěj Cepl <mcepl@redhat.com> 0.2.201-1
- New upstream release.

* Wed Jun 27 2007 Matej Cepl <mcepl@redhat.com> - 0.2.182-1
- New upstream version (finally!)

* Wed Jun 13 2007 Matej Cepl <mcepl@redhat.com> - 0.2.114.svn172-3
- Fix locales

* Wed May 23 2007 Matej Cepl <mcepl@redhat.com> - 0.2.114.svn172-2
- New SVN checkout.
- Working on Fedora package review.
- We have svn export so no .svn directories, so no need to remove them
- Fix Makefile -- DESTDIR should be / per default and don't
  remove during the installation process
- Fixed fixing of file permissions -- we did too much and in too
  many places; consolidated to %%prep stage.

* Mon May 21 2007 Matej Cepl <mcepl@redhat.com> - 0.2.114.svn169-1
- New SVN checkout

* Thu May 10 2007 Matej Cepl <mcepl@redhat.com> - 0.2.114.svn162-1
- New SVN checkout

* Tue Apr  3 2007 Matej Cepl <mcepl@redhat.com> - 0.2.114.svn148-2
- changed BuildRoot to more sane value, now it is allowed.

* Mon Feb 26 2007 Matěj Cepl <mcepl@redhat.com> 0.2.114.svn148-1
- New upstream SVN
- encoding is back again with us

* Tue Dec 19 2006 Matěj Cepl <mcepl@redhat.com> 0.2.114.svn145-1
- Changed to SVN source.
- Upstream fixed problems with too many shebang lines and encoding of GPL.

* Tue Nov 7 2006 Matěj Cepl <mcepl@redhat.com> 0.2.114-0
- Initial build.
